Subject: VEGAN: Curry Mix

From: Paul Floyd <[email-masked]>
Date: Wed, 23 Feb 1994 18:52:10 GMT

A few people have asked me about DIY curry powder.
Here are a couple of recipes.

This one is of medium strength, and has good all-round taste.

63g (4oz) coriander seeds
13g (0.5oz) ground turmeric
13g (0.5oz) whole black peppercorns
large pinch ground cardamom
32g (2oz) blue poppy seeds
13g (0.5oz) dried red chillies
25g (1oz) fenugreek seeds
13g (0.5oz) black mustard seeds
10g (0.4oz) ground cinnamon
13g (0.5oz) ground ginger

For those who like their curries to pack a punch

63g (4oz) coriander seeds
44g (1.5oz) ground turmeric
25g (1oz) ground cinnamon
125g (4oz) dried red chillies - see the shock on the face of the shop assistant
				when you ask for that
13g (0.5oz) whole black peppercorns
32g (2oz) cummin seeds
13g (0.5oz) ground cardamom

In both cases, you could add 13g (0.5oz) of dried curry leaves. I've had
difficulty finding them, and they seem quite low in taste.

To make the powder, I usually use my electric coffee grinder, grinding a small
part of the seeds at a time, then mixing the ground and preground spices in a
bowl. Both recipes make enough for a large jar. I suspect the powder loses
taste over time, but I've never been conscious of it. Clean the coffee grinder
thoroughly after (grind some stale bread in it or something like that).

The powder is not as fine as commercial curry powder. You can sieve the powder
to remove the remaining pieces of husk, but I don't bother.Sometimes I will
give the powder I'm about to use in a curry a quick grind in a mortar and
pestle. I would advise against using that for the main grinding though, unless
you are a masochist. Store in an airtight jar somewhere cool.

Generally, I would use one large teaspoon of curry powder per serving, less
if I use fresh chillies in the recipe.

Enjoy.
--
Paul Floyd, Information Storage Research Group,	      [email-masked]	
Department of Electrical Engineering		      [email-masked]
University of Manchester                              [email-masked]
Dover Street, Manchester, M13 9PL, UK		      Hwyl fawr i bob un.